# GSHHS_DP

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
EXAMPLES
REFERENCES
AUTHOR
SEE ALSO

## NAME

gshhs_dp − Line reduction using the Douglas-Peucker algorithm

## SYNOPSIS

gshhs_dp input.b tolerance output.b [−v]

## DESCRIPTION

gshhs_dp reads the binary coastline (GSHHS) or political boundary or river (WDBII) files and and reduces the complexity of the line by applying the Douglas-Peucker algorithm. It automatically handles byte-swabbing between different architectures.
input.b

GSHHS or WDBII binary data file as distributed with the GSHHS data supplement. Any of the 5 standard resolutions (full, high, intermediate, low, crude) can be used.

tolerance

tolerance is maximum mismatch in km. The larger the value the more reduction will take place.

output.b

The reducted data set.

## OPTIONS

| −v |  | Reports progress and statistics while running. |

## EXAMPLES

To simplify the full GSHHS data set with a custom tolerance of 2 km, try

gshhs_dp gshhs_f.b 2 gshhs_2km.b

## REFERENCES

Douglas, D. H., and T. K. Peucker, Algorithms for the reduction of the number of points required to represent a digitized line of its caricature, Can. Cartogr., 10, 112-122, 1973.

## AUTHOR

This implementation of the D-P algorithm has been kindly provided by Dr. Gary J. Robinson, Environmental Systems Science Centre, University of Reading, Reading, UK (gazza@mail.nerc-essc.ac.uk); his subroutine forms the basis for this program.

## SEE ALSO

GMT(1), gshhs(1), gshhstograss(1)